| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::IncludedFiles Class Reference

`#include <src/JobOptionsSvc/IncludedFiles.h>`

Collaboration diagram for Gaudi::Parsers::IncludedFiles:
[legend]

## Public Types
typedef std::map< std::string, Position > | Container

## Public Member Functions
bool | AddFile (std::string filename, Position from)
bool | IsIncluded (const std::string &filename) const
bool | GetPosition (const std::string &filename, const Position **pos) const

## Private Attributes
Container | container_

## Detailed Description

Definition at line 15 of file IncludedFiles.h.

## Member Typedef Documentation

typedef std::map<std::string, Position> Gaudi::Parsers::IncludedFiles::Container

Definition at line 17 of file IncludedFiles.h.

## Member Function Documentation

bool Gaudi::Parsers::IncludedFiles::AddFile | ( | std::string | filename,
|  | Position | from
| ) |  |

Definition at line 15 of file IncludedFiles.cpp.

16 {
17 return container_.emplace( std::move(filename), std::move(from)).second;
18 }
std::move
T move(T...args)
std::map::emplace
T emplace(T...args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:23

bool Gaudi::Parsers::IncludedFiles::GetPosition | ( | const std::string & | filename,
|  | const Position ** | pos
| ) |  | const

Definition at line 20 of file IncludedFiles.cpp.

21 {
22 auto iter = container_.find(filename);
23 if (iter == container_.end()) return false;
24 *pos = &iter->second;
25 assert(pos);
26 return true;
27 }
std::map::end
T end(T...args)
std::map::find
T find(T...args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:23

bool Gaudi::Parsers::IncludedFiles::IsIncluded | ( | const std::string & | filename | ) | const

Definition at line 11 of file IncludedFiles.cpp.

11 {
12 return container_.find(filename) != container_.end();
13 }
std::map::end
T end(T...args)
std::map::find
T find(T...args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:23

## Member Data Documentation

Container Gaudi::Parsers::IncludedFiles::container_
| private

Definition at line 23 of file IncludedFiles.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/IncludedFiles.h
- GaudiCoreSvc/src/JobOptionsSvc/IncludedFiles.cpp